cURL
curl --request GET \
--url https://test.deribit.com/api/v2/private/change_subaccount_name \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 3964,
"method": "private/change_subaccount_name",
"params": {
"sid": 7,
"name": "new_user_1_1"
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/change_subaccount_name"
payload = {
"jsonrpc": "2.0",
"id": 3964,
"method": "private/change_subaccount_name",
"params": {
"sid": 7,
"name": "new_user_1_1"
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 3964,
method: 'private/change_subaccount_name',
params: {sid: 7, name: 'new_user_1_1'}
})
};
fetch('https://test.deribit.com/api/v2/private/change_subaccount_name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 1569,
"result": "ok"
}Account Management
private/change_subaccount_name
Updates the display name (username) for a subaccount. The new name is used for identification purposes and does not affect the subaccountโs functionality or access.
Only the main account owner can change subaccount names.
๐ Related Article: Managing Subaccounts
Scope: account:read_write and mainaccount
cURL
Query Parameters
The user id for the subaccount
Example:
7
The new user name
Example:
"new_user_1_1"
Was this page helpful?
โI